Loading...
Searching...
No Matches
XrdCephReadVNoOp.hh File Reference
`#include <sys/types.h>`
`#include <vector>`
`#include "BufferUtils.hh"`
`#include "IXrdCephReadVAdapter.hh"`
Include dependency graph for XrdCephReadVNoOp.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | XrdCephBuffer::XrdCephReadVNoOp
| Passthrough implementation. Convertes the ReadV requests to extents and makes the request. Does not change how the readV implementation is done, just implements a version with Extents More for functionality testing, or to allow easier access to readV statistics. More...

## Namespaces

namespace | XrdCephBuffer
| is a simple implementation of IXrdCephBufferData using std::vector<char> representation for the buffer